DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# BoundaryArrayNew

Array allocation function

## SYNOPSIS

dip_Error dip_BoundaryArrayNew ( array, size, value, resources )

## FUNCTION

This function allocates the `size` elements of a `dip_BoundaryArray` and sets the size of the array to `size`. Each array element is initialized with `value`.

## ARGUMENTS

Data type | Name | Description
`dip_BoundaryArray *` | `array` | Boundary conditions
`dip_int` | `size` | Size
`dip_Boundary` | `value` | Initial value
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

`BoundaryArrayNew`, `BoundaryArrayFree`

`ArrayNew`, `IntegerArrayNew`, `FloatArrayNew`, `ComplexArrayNew`, `BoundaryArrayNew`, `FrameWorkProcessArrayNew`, `DataTypeArrayNew`, `ImageArrayNew`, `BooleanArrayNew`, `VoidPointerArrayNew`, `StringArrayNew`, `CoordinateArrayNew`